“케라스 창시자에게 배우는 딥러닝” 코드 TensorFlow 2 업데이트 안내

늦은 감이 있지만 <케라스 창시자에게 배우는 딥러닝> 책의 주피터 노트북을 텐서플로 2 기반으로 변경한 버전을 깃허브의 tf2 브랜치에 올렸습니다. 아쉽게도 몇 개의 노트북은 텐서플로 2와 호환되지 않아 부득이하게 tf.compat.v1.disable_v2_behavior() 를 사용했습니다.

텐서플로 2에 포함된 케라스 API를 사용하시는 경우에 조금 도움이 되셨으면 좋겠네요. 감사합니다! 🙂

“케라스 창시자에게 배우는 딥러닝” 코드 TensorFlow 2 업데이트 안내”에 대한 7개의 생각

  1. 광영

    고생하셨습니다. 오류 투성이에 문의를 넣어도 답변도 없는 책 붙잡고 씨름하다가 선생님의 이런 글 보면 참 여러가지 생각이 듭니다.

    Liked by 1명

    응답
  2. 이정민

    안녕하세요 대학교 교재가 이거라서 아나콘다를 다운 받았는데 파이썬 버전이 3.8이더라구요..어떻게 텐서플로우 설치할 수 있는 방법이 없을까요

    좋아요

    응답
    1. 박해선 글의 글쓴이

      아나콘다에서 파이썬 3.7을 설치하면 됩니다.
      $ conda install python==3.7
      파이썬에서는 가능하면 가상환경을 만들어 작업하는 것이 좋습니다. 아나콘다 가상환경에 대해서는 “https://dojang.io/mod/page/view.php?id=2470” 를 참고하세요. 감사합니다. 🙂

      좋아요

      응답
    2. 박해선 글의 글쓴이

      아.. pip에는 텐서플로 파이썬 3.8 버전이 있습니다. 위에 제가 말씀드린 대로 파이썬을 3.7로 다운그레이드하지 마시고 pip로 텐서플로를 설치하세요.
      $ pip install tensorflow
      파이썬 3.8에 맞는 텐서플로가 설치됩니다. 🙂

      좋아요

      응답

답글 남기기

아래 항목을 채우거나 오른쪽 아이콘 중 하나를 클릭하여 로그 인 하세요:

WordPress.com 로고

WordPress.com의 계정을 사용하여 댓글을 남깁니다. 로그아웃 /  변경 )

Google photo

Google의 계정을 사용하여 댓글을 남깁니다. 로그아웃 /  변경 )

Twitter 사진

Twitter의 계정을 사용하여 댓글을 남깁니다. 로그아웃 /  변경 )

Facebook 사진

Facebook의 계정을 사용하여 댓글을 남깁니다. 로그아웃 /  변경 )

%s에 연결하는 중

This site uses Akismet to reduce spam. Learn how your comment data is processed.